package model

type SysFile struct {
	Fid       int64  `json:"fid" xorm:"not null pk autoincr BIGINT(20)"`
	ParentFid int64  `json:"parent_fid" xorm:"not null default 0 comment('父目录id') index BIGINT(20)"`
	FileType  int    `json:"file_type" xorm:"not null default 1 comment('0目录,1文件') TINYINT(1)"`
	Uid       int    `json:"uid" xorm:"not null default 0 comment('上传用户ID,0为管理员') INT(10)"`
	ShowName  string `json:"show_name" xorm:"not null default '' comment('显示名字') index VARCHAR(128)"`
	SaveName  string `json:"save_name" xorm:"not null default '' comment('服务器保存名字') VARCHAR(128)"`
	Ext       string `json:"ext" xorm:"not null default '' comment('文件后缀') VARCHAR(8)"`
	Hash      string `json:"hash" xorm:"not null default '' comment('哈希值') VARCHAR(32)"`
	Mime      string `json:"mime" xorm:"not null default '' comment('Mime类型') VARCHAR(64)"`
	Provider  string `json:"provider" xorm:"not null default '' comment('供应商,qiniu,aliyun,local') VARCHAR(16)"`
	Width     int    `json:"width" xorm:"not null default 0 comment('宽,px') INT(10)"`
	Height    int    `json:"height" xorm:"not null default 0 comment('高,px') INT(10)"`
	Bucket    string `json:"bucket" xorm:"not null default '' comment('上传空间') VARCHAR(32)"`
	FileSize  int64  `json:"file_size" xorm:"not null default 0 comment('文件大小,byte') BIGINT(20)"`
	CreateAt  int    `json:"create_at" xorm:"not null default 0 comment('上传时间') INT(10)"`
	Memo      string `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(100)"`
	State     int    `json:"state" xorm:"not null default 0 comment('状态0未锁定,1锁定,锁定状态不能进行删除') TINYINT(1)"`
}
